package etc

import "git.sr.ht/~cco/go-scopes/config"

func Config() config.Config {
	return config.MakeConfig("dummy")
}

// collect here the names of fields that may be overridden via
// explicit Override() or SCOPES_* environment settings.
const (
	NAME = "name"
)

// in a production scenario this should be put in separate file `settings.go`
// that should not be stored in code repository.
func Override() map[string]string {
	return map[string]string{
		NAME: "overridden",
	}
}
